-- Open Source License
-- Copyright (c) 2019-2020 Nomadic Labs <contact@nomadic-labs.com>
--
-- Permission is hereby granted, free of charge, to any person obtaining a
-- copy of this software and associated documentation files (the "Software"),
-- to deal in the Software without restriction, including without limitation
-- the rights to use, copy, modify, merge, publish, distribute, sublicense,
-- and/or sell copies of the Software, and to permit persons to whom the
-- Software is furnished to do so, subject to the following conditions:
--
-- The above copyright notice and this permission notice shall be included
-- in all copies or substantial portions of the Software.
--
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-- IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-- FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
-- THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-- LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
-- FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
-- DEALINGS IN THE SOFTWARE.

-- This file contains functions that do nothing, in order to override the normal behaviour of functions.
-- The purpose of overriding the normal behaviour is to avoir recording information you don't need or want: this can save space and speed up the indexing process.
-- However, beware, if you void the actions of a given function, make sure to do the same for all functions that will be impacted by that change.
-- For instance, if you void the actions of `I.operation_alpha`, then most other functions will have to be void as well since most tables depend on the contents of table `operation_alpha`.

-- You may generate the base by using the following command
-- make db-schema-all-default |grep -i 'create or replace function'|while read l ; do sed -e 's/CREATE OR REPLACE FUNCTION/DROP FUNCTION/' -e 's/$/;/g' <<<"$l" ; sed -e 's/OR REPLACE //' -e 's/$/ returns void as $$ $$ language sql;/' <<<"$l"; done
